// For better speed, but bigger space, add indexes !!!

CREATE TABLE LOG (
   USID varchar(10),
   IP varchar(100),
   DAY date,
   TIME time,
   METHOD varchar(10),
   URL varchar(100),
   AGENT varchar(150),
   REFERER varchar(150),
   EXT tinyint(4) unsigned
);

CREATE TABLE COUNTRY (
   ID smallint(5) unsigned DEFAULT '0' NOT NULL,
   LIB varchar(4) NOT NULL,
   LONGLIB varchar(255) NOT NULL
);


INSERT INTO country VALUES ( '1', 'arpa', 'ARPANet');
INSERT INTO country VALUES ( '10', 'ae', 'UnitedArabEmirates');
INSERT INTO country VALUES ( '100', 'hk', 'HongKong');
INSERT INTO country VALUES ( '101', 'hm', 'Heard&McDonaldIslands');
INSERT INTO country VALUES ( '102', 'hn', 'Honduras');
INSERT INTO country VALUES ( '103', 'hr', 'Croatia');
INSERT INTO country VALUES ( '104', 'ht', 'Haiti');
INSERT INTO country VALUES ( '105', 'hu', 'Hungary');
INSERT INTO country VALUES ( '106', 'id', 'Indonesia');
INSERT INTO country VALUES ( '107', 'ie', 'Ireland');
INSERT INTO country VALUES ( '108', 'il', 'Israel');
INSERT INTO country VALUES ( '109', 'in', 'India');
INSERT INTO country VALUES ( '11', 'af', 'Afghanistan');
INSERT INTO country VALUES ( '110', 'io', 'BritishIndianOceanTerritories');
INSERT INTO country VALUES ( '111', 'iq', 'Iraq');
INSERT INTO country VALUES ( '112', 'ir', 'Iran');
INSERT INTO country VALUES ( '113', 'is', 'Iceland');
INSERT INTO country VALUES ( '114', 'it', 'Italy');
INSERT INTO country VALUES ( '115', 'jm', 'Jamaica');
INSERT INTO country VALUES ( '116', 'jo', 'Jordan');
INSERT INTO country VALUES ( '117', 'jp', 'Japan');
INSERT INTO country VALUES ( '118', 'ke', 'Kenya');
INSERT INTO country VALUES ( '119', 'kg', 'KyrgyzRepublic');
INSERT INTO country VALUES ( '12', 'ag', 'Antigua&Barbuda');
INSERT INTO country VALUES ( '120', 'kh', 'Cambodia');
INSERT INTO country VALUES ( '121', 'ki', 'Kiribati');
INSERT INTO country VALUES ( '122', 'km', 'Comoros');
INSERT INTO country VALUES ( '123', 'kn', 'SaintKittsNevisAnguilla');
INSERT INTO country VALUES ( '124', 'kp', 'Korea(North)');
INSERT INTO country VALUES ( '125', 'kr', 'Korea(South)');
INSERT INTO country VALUES ( '126', 'kw', 'Kuwait');
INSERT INTO country VALUES ( '127', 'ky', 'CaymanIslands');
INSERT INTO country VALUES ( '128', 'kz', 'Kazachstan');
INSERT INTO country VALUES ( '129', 'la', 'Laos');
INSERT INTO country VALUES ( '13', 'ai', 'Anguilla');
INSERT INTO country VALUES ( '130', 'lb', 'Lebanon');
INSERT INTO country VALUES ( '131', 'lc', 'SaintLucia');
INSERT INTO country VALUES ( '132', 'li', 'Liechtenstein');
INSERT INTO country VALUES ( '133', 'lk', 'SriLanka');
INSERT INTO country VALUES ( '134', 'lr', 'Liberia');
INSERT INTO country VALUES ( '135', 'ls', 'Lesotho');
INSERT INTO country VALUES ( '136', 'lt', 'Lithuania');
INSERT INTO country VALUES ( '137', 'lu', 'Luxembourg');
INSERT INTO country VALUES ( '138', 'lv', 'Latvia');
INSERT INTO country VALUES ( '139', 'ly', 'Libya');
INSERT INTO country VALUES ( '14', 'al', 'Albania');
INSERT INTO country VALUES ( '140', 'ma', 'Morocco');
INSERT INTO country VALUES ( '141', 'mc', 'Monaco');
INSERT INTO country VALUES ( '142', 'md', 'Moldova');
INSERT INTO country VALUES ( '143', 'mg', 'Madagascar');
INSERT INTO country VALUES ( '144', 'mh', 'MarshallIslands');
INSERT INTO country VALUES ( '145', 'mk', 'Macedonia');
INSERT INTO country VALUES ( '146', 'ml', 'Mali');
INSERT INTO country VALUES ( '147', 'mm', 'Myanmar');
INSERT INTO country VALUES ( '148', 'mn', 'Mongolia');
INSERT INTO country VALUES ( '149', 'mo', 'Macau');
INSERT INTO country VALUES ( '15', 'am', 'Armenia');
INSERT INTO country VALUES ( '150', 'mp', 'NorthernMarianaIslands');
INSERT INTO country VALUES ( '151', 'mq', 'Martinique(French)');
INSERT INTO country VALUES ( '152', 'mr', 'Mauretania');
INSERT INTO country VALUES ( '153', 'ms', 'Montserrat');
INSERT INTO country VALUES ( '154', 'mt', 'Malta');
INSERT INTO country VALUES ( '155', 'mu', 'Mauritius');
INSERT INTO country VALUES ( '156', 'mv', 'Maldives');
INSERT INTO country VALUES ( '157', 'mw', 'Malawi');
INSERT INTO country VALUES ( '158', 'mx', 'Mexico');
INSERT INTO country VALUES ( '159', 'my', 'Malaysia');
INSERT INTO country VALUES ( '16', 'an', 'NeterlandAntilles');
INSERT INTO country VALUES ( '160', 'mz', 'Mozambique');
INSERT INTO country VALUES ( '161', 'na', 'Namibia');
INSERT INTO country VALUES ( '162', 'nc', 'NewCaledonia(French)');
INSERT INTO country VALUES ( '163', 'ne', 'Niger');
INSERT INTO country VALUES ( '164', 'nf', 'NorfolkIsland');
INSERT INTO country VALUES ( '165', 'ng', 'Nigeria');
INSERT INTO country VALUES ( '166', 'ni', 'Nicaragua');
INSERT INTO country VALUES ( '167', 'nl', 'Netherlands');
INSERT INTO country VALUES ( '168', 'no', 'Norway');
INSERT INTO country VALUES ( '169', 'np', 'Nepal');
INSERT INTO country VALUES ( '17', 'ao', 'Angola');
INSERT INTO country VALUES ( '170', 'nr', 'Nauru');
INSERT INTO country VALUES ( '171', 'nt', 'Saudiarab.Irak)');
INSERT INTO country VALUES ( '172', 'nu', 'Niue');
INSERT INTO country VALUES ( '173', 'nz', 'NewZealand');
INSERT INTO country VALUES ( '174', 'om', 'Oman');
INSERT INTO country VALUES ( '175', 'pa', 'Panama');
INSERT INTO country VALUES ( '176', 'pe', 'Peru');
INSERT INTO country VALUES ( '177', 'pf', 'Polynesia(French)');
INSERT INTO country VALUES ( '178', 'pg', 'PapuaNewGuinea');
INSERT INTO country VALUES ( '179', 'ph', 'Philippines');
INSERT INTO country VALUES ( '18', 'aq', 'Antarctica');
INSERT INTO country VALUES ( '180', 'pk', 'Pakistan');
INSERT INTO country VALUES ( '181', 'pl', 'Poland');
INSERT INTO country VALUES ( '182', 'pm', 'SaintPierre&Miquelon');
INSERT INTO country VALUES ( '183', 'pn', 'Pitcairn');
INSERT INTO country VALUES ( '184', 'pr', 'PuertoRico(US)');
INSERT INTO country VALUES ( '185', 'pt', 'Portugal');
INSERT INTO country VALUES ( '186', 'pw', 'Palau');
INSERT INTO country VALUES ( '187', 'py', 'Paraguay');
INSERT INTO country VALUES ( '188', 'qa', 'Qatar');
INSERT INTO country VALUES ( '189', 're', 'Reunion(French)');
INSERT INTO country VALUES ( '19', 'ar', 'Argentina');
INSERT INTO country VALUES ( '190', 'ro', 'Romania');
INSERT INTO country VALUES ( '191', 'ru', 'RussianFederation');
INSERT INTO country VALUES ( '192', 'rw', 'Rwanda');
INSERT INTO country VALUES ( '193', 'sa', 'SaudiArabia');
INSERT INTO country VALUES ( '194', 'sb', 'SalomonIslands');
INSERT INTO country VALUES ( '195', 'sc', 'Seychelles');
INSERT INTO country VALUES ( '196', 'sd', 'Sudan');
INSERT INTO country VALUES ( '197', 'se', 'Sweden');
INSERT INTO country VALUES ( '198', 'sg', 'Singapore');
INSERT INTO country VALUES ( '199', 'sh', 'SaintHelena');
INSERT INTO country VALUES ( '2', 'com', 'CommercialUsers');
INSERT INTO country VALUES ( '20', 'as', 'AmericanSamoa');
INSERT INTO country VALUES ( '200', 'si', 'Slovenia');
INSERT INTO country VALUES ( '201', 'sj', 'Svalbard&JanMayen');
INSERT INTO country VALUES ( '202', 'sk', 'Slovakia');
INSERT INTO country VALUES ( '203', 'sl', 'SierraLeone');
INSERT INTO country VALUES ( '204', 'sm', 'SanMarino');
INSERT INTO country VALUES ( '205', 'sn', 'Senegal');
INSERT INTO country VALUES ( '206', 'so', 'Somalia');
INSERT INTO country VALUES ( '207', 'sr', 'Suriname');
INSERT INTO country VALUES ( '208', 'st', 'SaoTome&Principe');
INSERT INTO country VALUES ( '209', 'su', 'SovietUnion');
INSERT INTO country VALUES ( '21', 'at', 'Austria');
INSERT INTO country VALUES ( '210', 'sv', 'ElSalvador');
INSERT INTO country VALUES ( '211', 'sy', 'Syria');
INSERT INTO country VALUES ( '212', 'sz', 'Swaziland');
INSERT INTO country VALUES ( '213', 'tc', 'Turks&CaicosIslands');
INSERT INTO country VALUES ( '214', 'td', 'Chad');
INSERT INTO country VALUES ( '215', 'tf', 'FrenchSouthernTerritories');
INSERT INTO country VALUES ( '216', 'tg', 'Togo');
INSERT INTO country VALUES ( '217', 'th', 'Thailand');
INSERT INTO country VALUES ( '218', 'tj', 'Tadjikistan');
INSERT INTO country VALUES ( '219', 'tk', 'Tokelau');
INSERT INTO country VALUES ( '22', 'au', 'Australia');
INSERT INTO country VALUES ( '220', 'tm', 'Turkmenistan');
INSERT INTO country VALUES ( '221', 'tn', 'Tunisia');
INSERT INTO country VALUES ( '222', 'to', 'Tonga');
INSERT INTO country VALUES ( '223', 'tp', 'EastTimor');
INSERT INTO country VALUES ( '224', 'tr', 'Turkey');
INSERT INTO country VALUES ( '225', 'tt', 'Trinidad&Tobago');
INSERT INTO country VALUES ( '226', 'tv', 'Tuvalu');
INSERT INTO country VALUES ( '227', 'tw', 'Taiwan');
INSERT INTO country VALUES ( '228', 'tz', 'Tanzania');
INSERT INTO country VALUES ( '229', 'ua', 'Ukraine');
INSERT INTO country VALUES ( '23', 'aw', 'Aruba');
INSERT INTO country VALUES ( '230', 'ug', 'Uganda');
INSERT INTO country VALUES ( '231', 'uk', 'UnitedKingdom');
INSERT INTO country VALUES ( '232', 'um', 'USMinoroutlyingIslands');
INSERT INTO country VALUES ( '233', 'us', 'UnitedStates');
INSERT INTO country VALUES ( '234', 'uy', 'Uruguay');
INSERT INTO country VALUES ( '235', 'uz', 'Uzbekistan');
INSERT INTO country VALUES ( '236', 'va', 'VaticanCityState');
INSERT INTO country VALUES ( '237', 'vc', 'StVincent&Grenadines');
INSERT INTO country VALUES ( '238', 've', 'Venezuela');
INSERT INTO country VALUES ( '239', 'vg', 'VirginIslands(British)');
INSERT INTO country VALUES ( '24', 'az', 'Azerbaijan');
INSERT INTO country VALUES ( '240', 'vi', 'VirginIslands(US)');
INSERT INTO country VALUES ( '241', 'vn', 'Vietnam');
INSERT INTO country VALUES ( '242', 'vu', 'Vanuatu');
INSERT INTO country VALUES ( '243', 'wf', 'Wallis&FutunaIslands');
INSERT INTO country VALUES ( '244', 'ws', 'Samoa');
INSERT INTO country VALUES ( '245', 'ye', 'Yemen');
INSERT INTO country VALUES ( '246', 'yt', 'Mayotte');
INSERT INTO country VALUES ( '247', 'yu', 'Yugoslavia');
INSERT INTO country VALUES ( '248', 'za', 'SouthAfrica');
INSERT INTO country VALUES ( '249', 'zm', 'Zambia');
INSERT INTO country VALUES ( '25', 'ba', 'Bosnia-Herzegovina');
INSERT INTO country VALUES ( '250', 'zr', 'Zaire');
INSERT INTO country VALUES ( '251', 'zw', 'Zimbabwe');
INSERT INTO country VALUES ( '26', 'bb', 'Barbados');
INSERT INTO country VALUES ( '27', 'bd', 'Bangladesh');
INSERT INTO country VALUES ( '28', 'be', 'Belgium');
INSERT INTO country VALUES ( '29', 'bf', 'BurkinaFaso');
INSERT INTO country VALUES ( '3', 'edu', 'Education');
INSERT INTO country VALUES ( '30', 'bg', 'Bulgaria');
INSERT INTO country VALUES ( '31', 'bh', 'Bahrain');
INSERT INTO country VALUES ( '32', 'bi', 'Burundi');
INSERT INTO country VALUES ( '33', 'bj', 'Benin');
INSERT INTO country VALUES ( '34', 'bm', 'Bermuda');
INSERT INTO country VALUES ( '35', 'bn', 'BruneiDarussalam');
INSERT INTO country VALUES ( '36', 'bo', 'Bolivia');
INSERT INTO country VALUES ( '37', 'br', 'Brasil');
INSERT INTO country VALUES ( '38', 'bs', 'Bahamas');
INSERT INTO country VALUES ( '39', 'bt', 'Bhutan');
INSERT INTO country VALUES ( '4', 'gov', 'Government');
INSERT INTO country VALUES ( '40', 'bv', 'BouvetIsland');
INSERT INTO country VALUES ( '41', 'bw', 'Botswana');
INSERT INTO country VALUES ( '42', 'by', 'Belarus');
INSERT INTO country VALUES ( '43', 'bz', 'Belize');
INSERT INTO country VALUES ( '44', 'ca', 'Canada');
INSERT INTO country VALUES ( '45', 'cc', 'Cocos(Keeling)Islands');
INSERT INTO country VALUES ( '46', 'cf', 'CentralAfricanRepublic');
INSERT INTO country VALUES ( '47', 'cg', 'Congo');
INSERT INTO country VALUES ( '48', 'ch', 'Switzerland');
INSERT INTO country VALUES ( '49', 'ci', 'IvoryCoast');
INSERT INTO country VALUES ( '5', 'int', 'Oganization International');
INSERT INTO country VALUES ( '50', 'ck', 'CookIslands');
INSERT INTO country VALUES ( '51', 'cl', 'Chile');
INSERT INTO country VALUES ( '52', 'cm', 'Cameroon');
INSERT INTO country VALUES ( '53', 'cn', 'China');
INSERT INTO country VALUES ( '54', 'co', 'Colombia');
INSERT INTO country VALUES ( '55', 'cr', 'CostaRica');
INSERT INTO country VALUES ( '56', 'cs', 'Czechoslovakia');
INSERT INTO country VALUES ( '57', 'cu', 'Cuba');
INSERT INTO country VALUES ( '58', 'cv', 'CapeVerde');
INSERT INTO country VALUES ( '59', 'cx', 'ChristmasIsland');
INSERT INTO country VALUES ( '6', 'mil', 'Military');
INSERT INTO country VALUES ( '60', 'cy', 'Cyprus');
INSERT INTO country VALUES ( '61', 'cz', 'CzechRepublic');
INSERT INTO country VALUES ( '62', 'de', 'Germany');
INSERT INTO country VALUES ( '63', 'dj', 'Djibouti');
INSERT INTO country VALUES ( '64', 'dk', 'Denmark');
INSERT INTO country VALUES ( '65', 'dm', 'Dominica');
INSERT INTO country VALUES ( '66', 'do', 'DominicanRepublic');
INSERT INTO country VALUES ( '67', 'dz', 'Algeria');
INSERT INTO country VALUES ( '68', 'ec', 'Ecuador');
INSERT INTO country VALUES ( '69', 'ee', 'Estonia');
INSERT INTO country VALUES ( '7', 'net', 'Network');
INSERT INTO country VALUES ( '70', 'eg', 'Egypt');
INSERT INTO country VALUES ( '71', 'eh', 'WesternSahara');
INSERT INTO country VALUES ( '72', 'er', 'Eritrea');
INSERT INTO country VALUES ( '73', 'es', 'Spain');
INSERT INTO country VALUES ( '74', 'et', 'Ethiopia');
INSERT INTO country VALUES ( '75', 'fi', 'Finland');
INSERT INTO country VALUES ( '76', 'fj', 'Fiji');
INSERT INTO country VALUES ( '77', 'fk', 'FalklandIslands(Malvibas)');
INSERT INTO country VALUES ( '78', 'fm', 'Micronesia');
INSERT INTO country VALUES ( '79', 'fo', 'FaroeIslands');
INSERT INTO country VALUES ( '8', 'org', 'Organization');
INSERT INTO country VALUES ( '80', 'fr', 'France');
INSERT INTO country VALUES ( '81', 'fx', 'France(EuropeanTerritory)');
INSERT INTO country VALUES ( '82', 'ga', 'Gabon');
INSERT INTO country VALUES ( '83', 'gb', 'GreatBritain');
INSERT INTO country VALUES ( '84', 'gd', 'Grenada');
INSERT INTO country VALUES ( '85', 'ge', 'Georgia');
INSERT INTO country VALUES ( '86', 'gf', 'Guyana(French)');
INSERT INTO country VALUES ( '87', 'gh', 'Ghana');
INSERT INTO country VALUES ( '88', 'gi', 'Gibralta');
INSERT INTO country VALUES ( '89', 'gl', 'Greenland');
INSERT INTO country VALUES ( '9', 'ad', 'Andorra');
INSERT INTO country VALUES ( '90', 'gm', 'Gambia');
INSERT INTO country VALUES ( '91', 'gn', 'Guinea');
INSERT INTO country VALUES ( '92', 'gp', 'Guadeloupe(French)');
INSERT INTO country VALUES ( '93', 'gq', 'EquatorialGuinea');
INSERT INTO country VALUES ( '94', 'gr', 'Greece');
INSERT INTO country VALUES ( '95', 'gs', 'SouthGeorgia&SouthSandwichIslands');
INSERT INTO country VALUES ( '96', 'gt', 'Guatemala');
INSERT INTO country VALUES ( '97', 'gu', 'Guam(US)');
INSERT INTO country VALUES ( '98', 'gw', 'GuineaBissau');
INSERT INTO country VALUES ( '99', 'gy', 'Guyana');

